org.apache.cassandra.thrift

## Class CqlResult

- java.lang.Object
- - org.apache.cassandra.thrift.CqlResult

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CqlResult>, org.apache.thrift.TBase<CqlResult,CqlResult._Fields>

    public class CqlResult
    extends java.lang.Object
    implements org.apache.thrift.TBase<CqlResult,CqlResult._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CqlResult>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CqlResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static java.util.Map<CqlResult._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`int` `num`
`java.util.List<CqlRow>` `rows`
`CqlMetadata` `schema`
`CqlResultType` `type`

### Constructor Summary

Constructors
Constructor and Description
`CqlResult()`
`CqlResult(CqlResult other)` Performs a deep copy on other.
`CqlResult(CqlResultType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToRows(CqlRow elem)`
`void` `clear()`
`int` `compareTo(CqlResult other)`
`CqlResult` `deepCopy()`
`boolean` `equals(CqlResult that)`
`boolean` `equals(java.lang.Object that)`
`CqlResult._Fields` `fieldForId(int fieldId)`
`java.lang.Object` `getFieldValue(CqlResult._Fields field)`
`int` `getNum()`
`java.util.List<CqlRow>` `getRows()`
`java.util.Iterator<CqlRow>` `getRowsIterator()`
`int` `getRowsSize()`
`CqlMetadata` `getSchema()`
`CqlResultType` `getType()`
`int` `hashCode()`
`boolean` `isSet(CqlResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetNum()` Returns true if field num is set (has been assigned a value) and false otherwise
`boolean` `isSetRows()` Returns true if field rows is set (has been assigned a value) and false otherwise
`boolean` `isSetSchema()` Returns true if field schema is set (has been assigned a value) and false otherwise
`boolean` `isSetType()` Returns true if field type is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue(CqlResult._Fields field, java.lang.Object value)`
`CqlResult` `setNum(int num)`
`void` `setNumIsSet(boolean value)`
`CqlResult` `setRows(java.util.List<CqlRow> rows)`
`void` `setRowsIsSet(boolean value)`
`CqlResult` `setSchema(CqlMetadata schema)`
`void` `setSchemaIsSet(boolean value)`
`CqlResult` `setType(CqlResultType type)`
`void` `setTypeIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetNum()`
`void` `unsetRows()`
`void` `unsetSchema()`
`void` `unsetType()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public CqlResultType type

See Also:
  `CqlResultType`

#### rows

    public java.util.List<CqlRow> rows

#### num

    public int num

#### schema

    public CqlMetadata schema

#### metaDataMap

    public static final java.util.Map<CqlResult._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### CqlResult

    public CqlResult()

#### CqlResult

    public CqlResult(CqlResultType type)

#### CqlResult

    public CqlResult(CqlResult other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public CqlResult deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<CqlResult,CqlResult._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<CqlResult,CqlResult._Fields>`

#### getType

    public CqlResultType getType()

See Also:
  `CqlResultType`

#### setType

    public CqlResult setType(CqlResultType type)

See Also:
  `CqlResultType`

#### unsetType

    public void unsetType()

#### isSetType

    public boolean isSetType()

Returns true if field type is set (has been assigned a value) and false otherwise

#### setTypeIsSet

    public void setTypeIsSet(boolean value)

#### getRowsSize

    public int getRowsSize()

#### getRowsIterator

    public java.util.Iterator<CqlRow> getRowsIterator()

#### addToRows

    public void addToRows(CqlRow elem)

#### getRows

    public java.util.List<CqlRow> getRows()

#### setRows

    public CqlResult setRows(java.util.List<CqlRow> rows)

#### unsetRows

    public void unsetRows()

#### isSetRows

    public boolean isSetRows()

Returns true if field rows is set (has been assigned a value) and false otherwise

#### setRowsIsSet

    public void setRowsIsSet(boolean value)

#### getNum

    public int getNum()

#### setNum

    public CqlResult setNum(int num)

#### unsetNum

    public void unsetNum()

#### isSetNum

    public boolean isSetNum()

Returns true if field num is set (has been assigned a value) and false otherwise

#### setNumIsSet

    public void setNumIsSet(boolean value)

#### getSchema

    public CqlMetadata getSchema()

#### setSchema

    public CqlResult setSchema(CqlMetadata schema)

#### unsetSchema

    public void unsetSchema()

#### isSetSchema

    public boolean isSetSchema()

Returns true if field schema is set (has been assigned a value) and false otherwise

#### setSchemaIsSet

    public void setSchemaIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(CqlResult._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<CqlResult,CqlResult._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(CqlResult._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<CqlResult,CqlResult._Fields>`

#### isSet

    public boolean isSet(CqlResult._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<CqlResult,CqlResult._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(CqlResult that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(CqlResult other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<CqlResult>`

#### fieldForId

    public CqlResult._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<CqlResult,CqlResult._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<CqlResult,CqlResult._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<CqlResult,CqlResult._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`